/**
 * Creates an environment map
 *
 *
 */
import { Texture } from 'three/src/textures/Texture';
import { TypedCopNode } from './_Base';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
declare class EnvMapCopParamsConfig extends NodeParamsConfig {
    /** @param defines if the shader is rendered via the same camera used to render the scene */
    useCameraRenderer: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.BOOLEAN>;
}
export declare class EnvMapCopNode extends TypedCopNode<EnvMapCopParamsConfig> {
    params_config: EnvMapCopParamsConfig;
    static type(): string;
    private _data_texture_controller;
    private _renderer_controller;
    initializeNode(): void;
    cook(input_contents: Texture[]): Promise<void>;
    private convert_texture_to_env_map;
}
export {};
